WPS8GraphInternal::State Struct Reference

Internal: the state of a WPS8Graph. More...

## Public Member Functions

| State ()

## Public Attributes

int | m_version
| the version More...
int | m_numPages
| the number page More...
std::map< int, Border > | m_borderMap
| a map id -> border More...
std::map< int, WPSEntry > | m_ibgfMap
| a map id -> ibgf entry (background picture entry) More...
std::map< int, Pict > | m_pictMap
| a map id -> pictData More...
std::map< int, Pict > | m_oleMap
| a map id -> OleData More...

## Detailed Description

Internal: the state of a WPS8Graph.

## Constructor & Destructor Documentation

WPS8GraphInternal::State::State | ( |  | ) |

inline

## Member Data Documentation

std::map<int, Border> WPS8GraphInternal::State::m_borderMap

a map id -> border

std::map<int, WPSEntry> WPS8GraphInternal::State::m_ibgfMap

a map id -> ibgf entry (background picture entry)

int WPS8GraphInternal::State::m_numPages

the number page

std::map<int, Pict> WPS8GraphInternal::State::m_oleMap

a map id -> OleData

std::map<int, Pict> WPS8GraphInternal::State::m_pictMap

a map id -> pictData

int WPS8GraphInternal::State::m_version

the version

The documentation for this struct was generated from the following file:

- WPS8Graph.cpp